Bug 848975 - [abrt] midori-0.4.6-1.fc17: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.4.6-1.fc17: Process /usr/bin/midori was killed by signal 11 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:cbdab25f781ee4d23edff8ac5d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 20:14 EDT by Michael Windham
Modified: 2013-07-31 16:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.71 KB, text/plain)
2012-08-16 20:14 EDT, Michael Windham
no flags Details
File: maps (72.87 KB, text/plain)
2012-08-16 20:14 EDT, Michael Windham
no flags Details
File: dso_list (21.96 KB, text/plain)
2012-08-16 20:14 EDT, Michael Windham
no flags Details
File: build_ids (9.41 KB, text/plain)
2012-08-16 20:14 EDT, Michael Windham
no flags Details

  None (edit)
Description Michael Windham 2012-08-16 20:14:47 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        midori --private
comment:        I was checking out Midori Private Browser just to see what it would.  Had much success and it is faster than Tor and will handle some things tor prevents.  The problem occured when I tried to run a youtube video.  The link was http://youtu.be/r24dLrQldGk.
crash_function: totemPlugin::ViewerSetWindowCallback
executable:     /usr/bin/midori
kernel:         3.5.0-2.fc17.i686.PAE
pid:            12715
pwd:            /home/mlw
remote_result:  753919
time:           Thu 16 Aug 2012 07:18:31 PM EDT
uid:            1000
username:       mlw

backtrace:      Text file, 44754 bytes
build_ids:      Text file, 9635 bytes
dso_list:       Text file, 22487 bytes
maps:           Text file, 74618 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mlw/3

core_backtrace:
:c732867aa1c714d3919ece0c874c6f044380e85d 0x1193d g_object_unref libgobject-2.0.so.0 -
:29525413bf23105db85dd502afa047b3b9319fe6 0xa40f totemPlugin::ViewerSetWindowCallback(_GObject*, libtotem-vegas-plugin.so -
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0x67975 g_simple_async_result_complete libgio-2.0.so.0 -
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0xcc4c7 - libgio-2.0.so.0 -
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0x67975 g_simple_async_result_complete libgio-2.0.so.0 -
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0xc1744 - libgio-2.0.so.0 -
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0x67975 g_simple_async_result_complete libgio-2.0.so.0 -
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3 0x67a9c - libgio-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x44a01 - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x46fbb g_main_context_dispatch libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x47360 - libglib-2.0.so.0 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x477c3 g_main_loop_run libglib-2.0.so.0 -
:098d291982054b063b69f9a53ee4fb7616b16b20 0x14db30 gtk_main libgtk-x11-2.0.so.0 -
:a4035928cd4244221a75b05ecdd231ce712202b0 0x1e88c main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:HARDWARE_PLATFORM=i386
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=99da32c5e3cd4709361e1b8200000008-1344856356.602796-674146138
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mlw/keyring-ck6Mx6
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mlw
:USERNAME=
:MAIL=/var/spool/mail/mlw
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mlw/.local/bin:/home/mlw/bin:/home/mlw/usr/local/bin:/home/mlw/usr/bin:/home/mlw/opt/avg/av/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mlw
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1396
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mlw
:SHLVL=1
:LOGNAME=mlw
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-UI7hYIxfKz,guid=cef12b12c9538b9124f4817f00000079
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mlw
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-mlw-2XRkNm/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1399,unix/unix:/tmp/.ICE-unix/1399
:SSH_AUTH_SOCK=/run/user/mlw/keyring-ck6Mx6/ssh
:GPG_AGENT_INFO=/run/user/mlw/keyring-ck6Mx6/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/midori-private.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=12715
:DESKTOP_STARTUP_ID=gnome-shell-1625-localhost.localdomain-midori-46_TIME302025900

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31879                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31879                31879                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mlw/.xsession-errors
:pos:	10059098
:flags:	02002
:2:/home/mlw/.xsession-errors
:pos:	10059098
:flags:	02002
:3:socket:[5216132]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[5216873]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:/home/mlw/.local/share/webkit/icondatabase/WebpageIcons.db
:pos:	40
:flags:	02100002
:10:socket:[5216139]
:pos:	0
:flags:	02004002
:11:/dev/urandom
:pos:	0
:flags:	02000000
:12:socket:[5216145]
:pos:	0
:flags:	02000002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:socket:[5233575]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:25:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:26:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:27:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:28:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:29:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:30:socket:[5224536]
:pos:	0
:flags:	02004002
:31:socket:[5230839]
:pos:	0
:flags:	02004002
:32:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:33:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:34:socket:[5229492]
:pos:	0
:flags:	02004002
:35:socket:[5233576]
:pos:	0
:flags:	02004002
:36:socket:[5233599]
:pos:	0
:flags:	02004002
:37:socket:[5234416]
:pos:	0
:flags:	02004002
:38:socket:[5233601]
:pos:	0
:flags:	02004002
:39:socket:[5233600]
:pos:	0
:flags:	02004002
:40:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:41:socket:[5233609]
:pos:	0
:flags:	02004002
:42:socket:[5233602]
:pos:	0
:flags:	02004002
:43:socket:[5234705]
:pos:	0
:flags:	02004002
:44:socket:[5233610]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 3956ae29-301a-41c6-a5b9-0a5fc5746a88
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 5985.05
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5700  @ 3.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2992
:System Memory: 4001
:System Swap: 0
:Vendor: Shuttle Inc
:System: SG41 V20
:Form factor: Desktop
:Kernel: 3.5.0-2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:4759:16385) pci, lpc_ich, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4523:17280:4759:16385) pci, sky2, ETHERNET, 88E8057 PCI-E Gigabit Ethernet Controller
:(32902:11826:4759:16385) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:11827:4759:16385) pci, None, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10192:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4759:16385) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4759:16385) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:4759:16385) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:4759:16385) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:4759:16385) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:4759:16385) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 63921659 56891822 53691810 16007168 15422075 15422075
:

var_log_messages:
:Aug 16 19:18:31 localhost kernel: [302876.445634] midori[12715]: segfault at 87d13044 ip 4699393d sp bf90ce30 error 4 in libgobject-2.0.so.0.3200.4[46982000+4c000]
:Aug 16 19:18:34 localhost abrt[13242]: Saved core dump of pid 12715 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-08-16-19:18:31-12715 (210006016 bytes)

xsession_errors:
::3:../rcldb/rcldb.cpp:1354:Db::add: docid 33970 added [/home/mlw/.cache/midori|]
::3:../rcldb/rcldb.cpp:1354:Db::add: docid 33971 added [/home/mlw/.cache/midori/thumbnails|]
Comment 1 Michael Windham 2012-08-16 20:14:50 EDT
Created attachment 605042 [details]
File: backtrace
Comment 2 Michael Windham 2012-08-16 20:14:52 EDT
Created attachment 605043 [details]
File: maps
Comment 3 Michael Windham 2012-08-16 20:14:54 EDT
Created attachment 605044 [details]
File: dso_list
Comment 4 Michael Windham 2012-08-16 20:14:56 EDT
Created attachment 605045 [details]
File: build_ids
Comment 5 Kevin Fenzi 2012-08-16 23:38:18 EDT
This crash looks to have happened in totem. 

Moving over there for comment.
Comment 6 Fedora End Of Life 2013-07-03 16:42:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:56:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.